Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Problems manually installing BIRT(I've encountered some problems trying to install BIRT manually for eclipse)
Problems manually installing BIRT [message #655870] Tue, 22 February 2011 22:33 Go to next message
Olly   is currently offline Olly
Messages: 61
Registered: June 2010
Location: Florida
Member
Not by choice, but I am installing BIRT manually. I get the following error:

Your original request has been modified.
Eclipse BIRT Chart Context Sensitive Help Documentation will be ignored because it is already installed, and updates are not permitted.
Eclipse Birt Chart Source Feature will be ignored because it is already installed, and updates are not permitted.
Eclipse BIRT ISV Documents will be ignored because it is already installed, and updates are not permitted.
Eclipse BIRT Context Sensitive Help Documentation will be ignored because it is already installed, and updates are not permitted.
Eclipse BIRT ISV Documents will be ignored because it is already installed, and updates are not permitted.
Eclipse BIRT Source Feature will be ignored because it is already installed, and updates are not permitted.
Eclipse Birt Chart WTP Project Source Feature will be ignored because it is already installed, and updates are not permitted.
Eclipse BIRT WTP Project Source Feature will be ignored because it is already installed, and updates are not permitted.
Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse BIRT Web Tools Project 2.6.2.v20110215-1647-3517w3122132602758 (org.eclipse.birt.integration.wtp.feature.group 2.6.2.v20110215-1647-3517w3122132602758)
Missing requirement: Eclipse BIRT Web Tools Project 2.6.2.v20110215-1647-3517w3122132602758 (org.eclipse.birt.integration.wtp.feature.group 2.6.2.v20110215-1647-3517w3122132602758) requires 'org.eclipse.emf.common.feature.group 2.3.0' but it could not be found

If I uncheck the BIRT Web Tools Projec I get the following:
Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse BIRT Example 2.6.2.r262_v20101008-7F7e7CDBRmTc_XEMHBHMm (org.eclipse.birt.example.feature.group 2.6.2.r262_v20101008-7F7e7CDBRmTc_XEMHBHMm)
Missing requirement: Eclipse BIRT Example 2.6.2.r262_v20101008-7F7e7CDBRmTc_XEMHBHMm (org.eclipse.birt.example.feature.group 2.6.2.r262_v20101008-7F7e7CDBRmTc_XEMHBHMm) requires 'org.eclipse.datatools.connectivity.oda.designer.feature.fea ture.group 1.5.0' but it could not be found

What could the problem be? The person who downloaded the files for me to install may not have downloaded DTP and if I'm not mistaken this is a dependency. Could this be causing the issue? I know EMF, GEF and WTP have been downloaded and put in the plugins folder already. Thanks in advance for any help.

[Updated on: Tue, 22 February 2011 22:47]

Report message to a moderator

Re: Problems manually installing BIRT [message #655990 is a reply to message #655870] Wed, 23 February 2011 16:32 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

You will need DTP, but the error is complaining about EMF. I suspect
version differences. I see you are trying to use BIRT 2.6.2 which is
not released yet. Was this intended?

Jason

On 2/22/2011 5:33 PM, Olly wrote:
> Not by choice, but I am installing BIRT manually. I get the following
> error:
>
> Your original request has been modified.
> Eclipse BIRT Chart Context Sensitive Help Documentation will be ignored
> because it is already installed, and updates are not permitted.
> Eclipse Birt Chart Source Feature will be ignored because it is already
> installed, and updates are not permitted.
> Eclipse BIRT ISV Documents will be ignored because it is already
> installed, and updates are not permitted.
> Eclipse BIRT Context Sensitive Help Documentation will be ignored
> because it is already installed, and updates are not permitted.
> Eclipse BIRT ISV Documents will be ignored because it is already
> installed, and updates are not permitted.
> Eclipse BIRT Source Feature will be ignored because it is already
> installed, and updates are not permitted.
> Eclipse Birt Chart WTP Project Source Feature will be ignored because it
> is already installed, and updates are not permitted.
> Eclipse BIRT WTP Project Source Feature will be ignored because it is
> already installed, and updates are not permitted.
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: Eclipse BIRT Web Tools Project
> 2.6.2.v20110215-1647-3517w3122132602758
> (org.eclipse.birt.integration.wtp.feature.group
> 2.6.2.v20110215-1647-3517w3122132602758)
> Missing requirement: Eclipse BIRT Web Tools Project
> 2.6.2.v20110215-1647-3517w3122132602758
> (org.eclipse.birt.integration.wtp.feature.group
> 2.6.2.v20110215-1647-3517w3122132602758) requires
> 'org.eclipse.emf.common.feature.group 2.3.0' but it could not be found
>
> What could the problem be? The person who downloaded the files for me to
> install may not have downloaded DTP and if I'm not mistaken this is a
> dependency. Could this be causing the issue? I know EMF, GEF and WTP
> have been downloaded and put in the plugins folder already. Thanks in
> advance for any help.
Re: Problems manually installing BIRT [message #655996 is a reply to message #655990] Wed, 23 February 2011 17:00 Go to previous message
Olly   is currently offline Olly
Messages: 61
Registered: June 2010
Location: Florida
Member
The version 2.6.2 was not intended. The software we downloaded was all for 2.6.1 and I'm not sure why the 2.6.2 stuff is there. What was downloaded was all from http://download.eclipse.org/birt/downloads/build.php?build=R -R1-2_6_1-201009171723 which is all the correct version. I'll make sure we get the DTP files and I'll look at the libraries we have installed and make sure its all 2.6.1. I don't know why it would be looking for 2.6.2
Previous Topic:BI for linked open data
Next Topic:Setting margins for Excel output
Goto Forum:
  


Current Time: Sat Sep 20 20:04:22 GMT 2014

Powered by FUDForum. Page generated in 0.02062 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software